package com.pj.tb_people_profit;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.pj.utils.so.SoMap;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper: tb_people_profit -- 边民收益设置
 * @author qzyReal 
 */

@Mapper
@Repository
public interface TbPeopleProfitMapper extends BaseMapper <TbPeopleProfit> {

	/**
	 * 增  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int add(TbPeopleProfit t);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(Long id);	 

	/** 
	 * 改  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int update(TbPeopleProfit t);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	TbPeopleProfit getById(Long id);	 

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbPeopleProfit> getList(SoMap so);


}
